--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Adds CRL for verification.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "crl:"
    body: a OpenSSL::X509::CRL or a filename of a PEM/DER formatted OpenSSL::X509::CRL.
  type: :NOTE
- !ruby/struct:SM::Flow::P 
  body: Calling this method resets all existing sessions.
full_name: HTTPClient::SSLConfig#set_crl
is_singleton: false
name: set_crl
params: (crl)
visibility: public
